import React, { CSSProperties } from "react";
import { Text, TextStyle, View, ViewStyle } from "react-native";

export const StationNameArea = (props) => {
  const { currentStation, isMatsuyama } = props;

  const stationNameAreaOverWrap: ViewStyle = {
    position: "absolute",
    top: "10%",
    alignContent: "center",
    flexDirection: "row",
  };
  const Station_JP: TextStyle = {
    fontWeight: "bold",
    fontSize: parseInt("40%"),
    color: isMatsuyama ? "white" : "#005170",
  };
  const Station_EN: TextStyle = {
    fontWeight: "bold",
    fontSize: parseInt("15%"),
    color: isMatsuyama ? "white" : "#005170",
  };
  return (
    <View style={stationNameAreaOverWrap}>
      <View style={{ flex: 1 }} />
      <View style={{ alignItems: "center" }}>
        {/* <Text style={{fontWeight:"bold",fontSize:parseInt("15%"),color:"#005170"}}>{stationName.今.LineName}</Text>  */}
        <Text style={Station_JP}>{currentStation[0].Station_JP}</Text>
        <Text style={Station_EN}>{currentStation[0].Station_EN}</Text>
      </View>
      <View style={{ flex: 1 }} />
    </View>
  );
};
